Manifest-Version: 1.0
Bnd-LastModified: 1712141950990
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 43.0.2
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20240403
Export-Package: com.liferay.portal.bean;version="4.0.0";uses:="com.lif
 eray.portal.kernel.bean,javax.servlet.http,org.springframework.contex
 t",com.liferay.portal.dao.orm.hibernate;version="6.2.0";uses:="com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.dao.orm,org.hibernate,org.hibernat
 e.criterion,org.hibernate.dialect,org.hibernate.dialect.pagination,or
 g.hibernate.engine.spi,org.hibernate.property.access.internal,org.hib
 ernate.property.access.spi,org.hibernate.type,org.hibernate.usertype"
 ,com.liferay.portal.deploy.hot;version="7.0.0";uses:="com.liferay.por
 tal.kernel.deploy.hot,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.plugin,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.configuration,com.liferay.portal.kernel.service.pers
 istence,com.liferay.portal.kernel.url,com.liferay.portal.kernel.util,
 com.liferay.portal.kernel.xml,javax.servlet,org.osgi.framework",com.l
 iferay.portal.events;version="6.0.0";uses:="com.liferay.portal.kernel
 .dao.db,com.liferay.portal.kernel.deploy.hot,com.liferay.portal.kerne
 l.events,com.liferay.portal.kernel.model,com.liferay.portal.kernel.up
 grade,javax.servlet.http",com.liferay.portal.freemarker;version="1.0.
 2",com.liferay.portal.minifier;version="2.0.0",com.liferay.portal.plu
 gin;version="3.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.plugin,com.lifera
 y.portal.kernel.xml,javax.servlet",com.liferay.portal.security.auth;v
 ersion="5.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.po
 rtal.kernel.security.auth,com.liferay.portal.kernel.security.auth.ver
 ifier,com.liferay.portal.kernel.spring.osgi,javax.security.auth.callb
 ack,javax.servlet.http",com.liferay.portal.security.lang;version="2.0
 .0",com.liferay.portal.service.http;version="8.0.0";uses:="com.lifera
 y.announcements.kernel.model,com.liferay.petra.function,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.repository.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.security.auth,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.util,javax.por
 tlet",com.liferay.portal.service.permission;version="3.2.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.security.auth,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.service.permission,com.lifera
 y.portal.kernel.spring.osgi,javax.portlet",com.liferay.portal.service
 .persistence.constants;version="1.0.0",com.liferay.portal.servlet;ver
 sion="8.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.servlet,com.liferay.port
 al.kernel.util,com.liferay.portal.kernel.xml,com.liferay.portlet,java
 x.servlet,javax.servlet.http",com.liferay.portal.servlet.filters;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.log,com.liferay.portal.k
 ernel.servlet,javax.servlet.http",com.liferay.portal.servlet.filters.
 authverifier;version="1.0.2";uses:="com.liferay.portal.servlet.filter
 s,javax.servlet,javax.servlet.http",com.liferay.portal.spring.configu
 rator;version="1.0.0";uses:="org.springframework.context",com.liferay
 .portal.template;version="4.0.0";uses:="com.liferay.portal.kernel.cac
 he,com.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.te
 mplate,javax.portlet,javax.servlet.http",com.liferay.portal.tools;ver
 sion="9.0.0";uses:="com.liferay.portal.kernel.dao.db,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.io.unsync,com.liferay.p
 ortal.kernel.xml,org.springframework.context",com.liferay.portal.upgr
 ade.util;version="4.0.0";uses:="com.liferay.portal.kernel.dao.db,com.
 liferay.portal.kernel.upgrade,com.liferay.portal.kernel.upgrade.util,
 com.liferay.portal.kernel.version",com.liferay.portal.upgrade.v7_0_0;
 version="5.3.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.settings,com.liferay.portal.kernel.upgrade,com.liferay.
 portal.kernel.util,javax.portlet",com.liferay.portal.upgrade.v7_0_5;v
 ersion="3.0.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.
 portal.upgrade.v7_1_x;version="2.0.0";uses:="com.liferay.portal.kerne
 l.upgrade,com.liferay.portal.kernel.version,com.liferay.portal.upgrad
 e.util,com.liferay.portal.upgrade.v7_0_0",com.liferay.portal.upload;v
 ersion="4.0.0";uses:="com.liferay.portal.kernel.servlet,com.liferay.p
 ortal.kernel.upload,javax.portlet,javax.servlet,javax.servlet.http",c
 om.liferay.portal.util;version="32.0.0";uses:="com.liferay.expando.ke
 rnel.model,com.liferay.petra.process,com.liferay.portal.kernel.config
 uration,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.openi
 d,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.reposit
 ory,com.liferay.portal.kernel.repository.event,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.settings,com.lifera
 y.portal.kernel.theme,com.liferay.portal.kernel.upload,com.liferay.po
 rtal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet,javax.se
 rvlet,javax.servlet.http,org.xml.sax",com.liferay.portal.xml;version=
 "1.3.0";uses:="com.liferay.portal.kernel.security.xml,com.liferay.por
 tal.kernel.util,com.liferay.portal.kernel.xml,javax.xml.stream,org.do
 m4j,org.dom4j.io,org.dom4j.tree,org.xml.sax",com.liferay.portlet;vers
 ion="7.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.porta
 l.kernel.security.auth,com.liferay.portal.kernel.servlet,com.liferay.
 portal.kernel.template,com.liferay.portal.kernel.theme,com.liferay.po
 rtal.kernel.transaction,com.liferay.portal.kernel.util,javax.portlet,
 javax.portlet.filter,javax.servlet,javax.servlet.http,javax.xml.strea
 m",com.liferay.portlet.asset;version="2.2.0",com.liferay.portlet.asse
 t.model.impl;version="5.0.0";uses:="com.liferay.asset.kernel.model,co
 m.liferay.expando.kernel.model,com.liferay.exportimport.kernel.lar,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.model.impl,com.
 liferay.portal.kernel.service,com.liferay.portlet.asset.util",com.lif
 eray.portlet.asset.service.permission;version="3.0.0";uses:="com.life
 ray.asset.kernel.model,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.spring.
 osgi",com.liferay.portlet.asset.util;version="4.0.0";uses:="com.lifer
 ay.asset.kernel.service.persistence,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.search,com.liferay.portal.kernel.search.
 filter,com.liferay.portal.kernel.security.permission",com.liferay.por
 tlet.documentlibrary;version="1.1.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.settings",com.liferay.portlet.do
 cumentlibrary.asset;version="2.0.0";uses:="com.liferay.asset.kernel.m
 odel,com.liferay.document.library.kernel.model,com.liferay.dynamic.da
 ta.mapping.kernel,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.repository.model",com.liferay.portlet.documentlibrary.lar;
 version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.repository.model",com.liferay.portlet.documentlibrary
 .service.permission;version="3.0.0";uses:="com.liferay.document.libra
 ry.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.spring.osgi",com.liferay.portlet.documen
 tlibrary.store;version="4.0.0";uses:="com.liferay.document.library.ke
 rnel.store,com.liferay.portal.kernel.exception",com.liferay.portlet.d
 ocumentlibrary.util;version="7.0.0";uses:="com.liferay.document.libra
 ry.kernel.model,com.liferay.document.library.kernel.util,com.liferay.
 exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.repository.model,com.liferay.portal.kernel.search,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.l
 iferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet
 ",com.liferay.portlet.expando.model.impl;version="2.1.0";uses:="com.l
 iferay.expando.kernel.model,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.model.impl,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.util",com.liferay.portlet.layoutsadmin.display.conte
 xt;version="1.0.2";uses:="com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.util,javax.servlet.http",com.liferay.portlet.usersadmi
 n.search;version="1.1.0";uses:="com.liferay.portal.kernel.dao.search,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.search,javax.portlet"
Git-Descriptor: 4a89cd087313c-dirty
Git-SHA: 4a89cd087313c05b68b85090fe4c3f7844072fd4
Import-Package: com.liferay.admin.kernel.util,com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .announcements.kernel.service,com.liferay.announcements.kernel.servic
 e.persistence,com.liferay.asset.kernel,com.liferay.asset.kernel.excep
 tion,com.liferay.asset.kernel.model,com.liferay.asset.kernel.model.ad
 apter,com.liferay.asset.kernel.service,com.liferay.asset.kernel.servi
 ce.persistence,com.liferay.asset.kernel.util,com.liferay.asset.kernel
 .validator,com.liferay.background.task.kernel.util.comparator,com.lif
 eray.counter.kernel.model,com.liferay.counter.kernel.service,com.life
 ray.counter.kernel.service.persistence,com.liferay.document.library.k
 ernel.antivirus,com.liferay.document.library.kernel.document.conversi
 on,com.liferay.document.library.kernel.exception,com.liferay.document
 .library.kernel.model,com.liferay.document.library.kernel.service,com
 .liferay.document.library.kernel.service.persistence,com.liferay.docu
 ment.library.kernel.store,com.liferay.document.library.kernel.util,co
 m.liferay.document.library.kernel.util.comparator,com.liferay.documen
 t.library.kernel.versioning,com.liferay.dynamic.data.mapping.kernel,c
 om.liferay.expando.kernel.exception,com.liferay.expando.kernel.model,
 com.liferay.expando.kernel.model.adapter,com.liferay.expando.kernel.s
 ervice,com.liferay.expando.kernel.service.permission,com.liferay.expa
 ndo.kernel.service.persistence,com.liferay.expando.kernel.util,com.li
 feray.exportimport.kernel.configuration,com.liferay.exportimport.kern
 el.controller,com.liferay.exportimport.kernel.exception,com.liferay.e
 xportimport.kernel.lar,com.liferay.exportimport.kernel.lifecycle,com.
 liferay.exportimport.kernel.model,com.liferay.exportimport.kernel.ser
 vice,com.liferay.exportimport.kernel.service.persistence,com.liferay.
 exportimport.kernel.staging,com.liferay.exportimport.kernel.staging.p
 ermission,com.liferay.layout.admin.kernel.util,com.liferay.layout.adm
 in.kernel.visibility,com.liferay.mail.kernel.model,com.liferay.mail.k
 ernel.service,com.liferay.mail.kernel.template,com.liferay.mail.kerne
 l.util,com.liferay.osgi.service.tracker.collections.list,com.liferay.
 osgi.service.tracker.collections.map,com.liferay.petra.concurrent,com
 .liferay.petra.executor,com.liferay.petra.function,com.liferay.petra.
 io,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.liferay.pet
 ra.log4j,com.liferay.petra.mail,com.liferay.petra.memory,com.liferay.
 petra.nio,com.liferay.petra.portlet.url.builder,com.liferay.petra.pro
 cess,com.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.
 petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sq
 l.dsl.expression,com.liferay.petra.sql.dsl.expression.step,com.lifera
 y.petra.sql.dsl.query,com.liferay.petra.sql.dsl.query.sort,com.lifera
 y.petra.sql.dsl.spi.ast,com.liferay.petra.sql.dsl.spi.expression,com.
 liferay.petra.string,com.liferay.petra.url.pattern.mapper,com.liferay
 .petra.xml,com.liferay.portal.bean;version="[4.0,5)",com.liferay.port
 al.freemarker;version="[1.0,2)",com.liferay.portal.kernel.annotation,
 com.liferay.portal.kernel.aop,com.liferay.portal.kernel.application.t
 ype,com.liferay.portal.kernel.audit,com.liferay.portal.kernel.backgro
 undtask,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.cach
 e,com.liferay.portal.kernel.cache.index,com.liferay.portal.kernel.cac
 he.key,com.liferay.portal.kernel.cache.thread.local,com.liferay.porta
 l.kernel.change.tracking,com.liferay.portal.kernel.cluster,com.lifera
 y.portal.kernel.comment,com.liferay.portal.kernel.concurrent,com.life
 ray.portal.kernel.configuration,com.liferay.portal.kernel.dao.db,com.
 liferay.portal.kernel.dao.jdbc,com.liferay.portal.kernel.dao.jdbc.aop
 ,com.liferay.portal.kernel.dao.jdbc.pool.metrics,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.portal
 .kernel.dependency.manager,com.liferay.portal.kernel.deploy.auto,com.
 liferay.portal.kernel.deploy.auto.context,com.liferay.portal.kernel.d
 eploy.hot,com.liferay.portal.kernel.editor.configuration,com.liferay.
 portal.kernel.encryptor,com.liferay.portal.kernel.events,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.facebook,com.lifera
 y.portal.kernel.format,com.liferay.portal.kernel.frontend.icons,com.l
 iferay.portal.kernel.image,com.liferay.portal.kernel.increment,com.li
 feray.portal.kernel.instance.lifecycle,com.liferay.portal.kernel.inte
 rnal.service.permission,com.liferay.portal.kernel.interval,com.lifera
 y.portal.kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.po
 rtal.kernel.jndi,com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.jsonwebservice,com.liferay.portal.kernel.language,com.liferay.po
 rtal.kernel.layoutconfiguration.util,com.liferay.portal.kernel.layout
 configuration.util.xml,com.liferay.portal.kernel.license,com.liferay.
 portal.kernel.license.messaging,com.liferay.portal.kernel.license.uti
 l,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.log,com.li
 feray.portal.kernel.login,com.liferay.portal.kernel.messaging,com.lif
 eray.portal.kernel.messaging.async,com.liferay.portal.kernel.messagin
 g.proxy,com.liferay.portal.kernel.messaging.sender,com.liferay.portal
 .kernel.metadata,com.liferay.portal.kernel.mobile.device,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.model.adapter,com.lifer
 ay.portal.kernel.model.adapter.builder,com.liferay.portal.kernel.mode
 l.change.tracking,com.liferay.portal.kernel.model.dao,com.liferay.por
 tal.kernel.model.impl,com.liferay.portal.kernel.model.portlet,com.lif
 eray.portal.kernel.model.role,com.liferay.portal.kernel.module.framew
 ork,com.liferay.portal.kernel.module.framework.service,com.liferay.po
 rtal.kernel.module.util,com.liferay.portal.kernel.notifications,com.l
 iferay.portal.kernel.openid,com.liferay.portal.kernel.patcher,com.lif
 eray.portal.kernel.plugin,com.liferay.portal.kernel.poller,com.lifera
 y.portal.kernel.poller.comet,com.liferay.portal.kernel.pop,com.lifera
 y.portal.kernel.portlet,com.liferay.portal.kernel.portlet.async,com.l
 iferay.portal.kernel.portlet.bridges.mvc,com.liferay.portal.kernel.po
 rtlet.configuration.icon,com.liferay.portal.kernel.portlet.toolbar,co
 m.liferay.portal.kernel.portletfilerepository,com.liferay.portal.kern
 el.process,com.liferay.portal.kernel.redirect,com.liferay.portal.kern
 el.repository,com.liferay.portal.kernel.repository.capabilities,com.l
 iferay.portal.kernel.repository.event,com.liferay.portal.kernel.repos
 itory.friendly.url.resolver,com.liferay.portal.kernel.repository.mode
 l,com.liferay.portal.kernel.repository.proxy,com.liferay.portal.kerne
 l.repository.registry,com.liferay.portal.kernel.repository.util,com.l
 iferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.saniti
 zer,com.liferay.portal.kernel.scheduler,com.liferay.portal.kernel.sch
 eduler.messaging,com.liferay.portal.kernel.search,com.liferay.portal.
 kernel.search.facet.faceted.searcher,com.liferay.portal.kernel.search
 .filter,com.liferay.portal.kernel.search.generic,com.liferay.portal.k
 ernel.search.reindexer,com.liferay.portal.kernel.security,com.liferay
 .portal.kernel.security.access.control,com.liferay.portal.kernel.secu
 rity.auth,com.liferay.portal.kernel.security.auth.http,com.liferay.po
 rtal.kernel.security.auth.session,com.liferay.portal.kernel.security.
 auth.tunnel,com.liferay.portal.kernel.security.auth.verifier,com.life
 ray.portal.kernel.security.auto.login,com.liferay.portal.kernel.secur
 ity.exportimport,com.liferay.portal.kernel.security.ldap,com.liferay.
 portal.kernel.security.membershippolicy,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.security.permission.compar
 ator,com.liferay.portal.kernel.security.permission.contributor,com.li
 feray.portal.kernel.security.permission.propagator,com.liferay.portal
 .kernel.security.permission.resource,com.liferay.portal.kernel.securi
 ty.permission.wrapper,com.liferay.portal.kernel.security.pwd,com.life
 ray.portal.kernel.security.service.access.policy,com.liferay.portal.k
 ernel.security.sso,com.liferay.portal.kernel.security.xml,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.configuratio
 n,com.liferay.portal.kernel.service.configuration.servlet,com.liferay
 .portal.kernel.service.http,com.liferay.portal.kernel.service.permiss
 ion,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 service.persistence.change.tracking.helper,com.liferay.portal.kernel.
 service.persistence.impl,com.liferay.portal.kernel.servlet,com.lifera
 y.portal.kernel.servlet.filters.compoundsessionid,com.liferay.portal.
 kernel.servlet.filters.invoker,com.liferay.portal.kernel.servlet.tagl
 ib,com.liferay.portal.kernel.servlet.taglib.aui,com.liferay.portal.ke
 rnel.servlet.taglib.ui,com.liferay.portal.kernel.servlet.taglib.util,
 com.liferay.portal.kernel.settings,com.liferay.portal.kernel.social,c
 om.liferay.portal.kernel.spring.aop,com.liferay.portal.kernel.spring.
 orm,com.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.s
 truts,com.liferay.portal.kernel.systemevent,com.liferay.portal.kernel
 .template,com.liferay.portal.kernel.templateparser,com.liferay.portal
 .kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.porta
 l.kernel.trash,com.liferay.portal.kernel.trash.helper,com.liferay.por
 tal.kernel.tree,com.liferay.portal.kernel.upgrade,com.liferay.portal.
 kernel.upgrade.util,com.liferay.portal.kernel.upload,com.liferay.port
 al.kernel.url,com.liferay.portal.kernel.url.validator,com.liferay.por
 tal.kernel.util,com.liferay.portal.kernel.util.comparator,com.liferay
 .portal.kernel.uuid,com.liferay.portal.kernel.verify.model,com.lifera
 y.portal.kernel.version,com.liferay.portal.kernel.view.count,com.life
 ray.portal.kernel.webcache,com.liferay.portal.kernel.webdav,com.lifer
 ay.portal.kernel.webdav.methods,com.liferay.portal.kernel.webserver,c
 om.liferay.portal.kernel.words,com.liferay.portal.kernel.workflow,com
 .liferay.portal.kernel.workflow.comparator,com.liferay.portal.kernel.
 workflow.permission,com.liferay.portal.kernel.xml,com.liferay.portal.
 kernel.xml.simple,com.liferay.portal.kernel.xmlrpc,com.liferay.portal
 .kernel.zip,com.liferay.portal.plugin;version="[3.0,4)",com.liferay.p
 ortal.service.http;version="[8.0,9)",com.liferay.portal.service.permi
 ssion;version="[3.2,4)",com.liferay.portal.service.persistence.consta
 nts;version="[1.0,2)",com.liferay.portal.servlet.filters;version="[1.
 0,2)",com.liferay.portal.spring.configurator;version="[1.0,2)",com.li
 feray.portal.upgrade.v7_0_5;version="[3.0,4)",com.liferay.portal.upgr
 ade.v7_1_x;version="[2.0,3)",com.liferay.portal.upload;version="[4.0,
 5)",com.liferay.portlet.asset.model.impl;version="[5.0,6)",com.lifera
 y.portlet.asset.service.permission;version="[3.0,4)",com.liferay.port
 let.asset.util;version="[4.0,5)",com.liferay.portlet.configuration.ke
 rnel.util,com.liferay.portlet.documentlibrary;version="[1.1,2)",com.l
 iferay.portlet.documentlibrary.asset;version="[2.0,3)",com.liferay.po
 rtlet.expando.model.impl;version="[2.1,3)",com.liferay.portlet.usersa
 dmin.search;version="[1.1,2)",com.liferay.ratings.kernel.exception,co
 m.liferay.ratings.kernel.model,com.liferay.ratings.kernel.service,com
 .liferay.ratings.kernel.service.persistence,com.liferay.ratings.kerne
 l.transformer,com.liferay.roles.admin.kernel.util,com.liferay.sites.k
 ernel.util,com.liferay.social.kernel.exception,com.liferay.social.ker
 nel.model,com.liferay.social.kernel.model.impl,com.liferay.social.ker
 nel.service,com.liferay.social.kernel.service.permission,com.liferay.
 social.kernel.service.persistence,com.liferay.social.kernel.util,com.
 liferay.social.kernel.util.comparator,com.liferay.trash.kernel.except
 ion,com.liferay.trash.kernel.model,com.liferay.trash.kernel.service,c
 om.liferay.trash.kernel.service.persistence,com.liferay.users.admin.k
 ernel.file.uploads,com.liferay.users.admin.kernel.organization.types,
 com.liferay.users.admin.kernel.util,com.liferay.util,com.liferay.util
 .dao.orm,com.liferay.util.portlet,com.liferay.util.servlet,com.lifera
 y.util.servlet.filters,com.liferay.util.xml,com.liferay.util.xml.desc
 riptor,com.thoughtworks.qdox,com.thoughtworks.qdox.model,com.zaxxer.h
 ikari,de.hunsicker.io,de.hunsicker.jalopy,de.hunsicker.jalopy.storage
 ,freemarker.cache,freemarker.template,javax.crypto,javax.crypto.spec,
 javax.imageio,javax.imageio.stream,javax.mail,javax.mail.internet,jav
 ax.management,javax.naming,javax.net.ssl,javax.portlet,javax.portlet.
 annotations,javax.portlet.filter,javax.security.auth.callback,javax.s
 ervlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xml.par
 sers,javax.xml.stream,javax.xml.stream.events,javax.xml.transform,jav
 ax.xml.transform.dom,javax.xml.transform.stream,jodd.bean,jodd.intros
 pector,jodd.json,jodd.json.impl,jodd.json.meta,jodd.typeconverter,jod
 d.typeconverter.impl,jodd.util,org.apache.commons.configuration,org.a
 pache.commons.lang.builder,org.apache.commons.lang.time,org.apache.co
 mmons.logging,org.apache.logging.log4j,org.apache.logging.log4j.core,
 org.apache.xerces.parsers,org.apache.xerces.xni,org.dom4j,org.dom4j.i
 o,org.dom4j.tree,org.hibernate,org.hibernate.boot,org.hibernate.boot.
 registry,org.hibernate.boot.spi,org.hibernate.cfg,org.hibernate.conte
 xt.spi,org.hibernate.criterion,org.hibernate.dialect,org.hibernate.di
 alect.function,org.hibernate.dialect.pagination,org.hibernate.engine.
 jdbc.dialect.internal,org.hibernate.engine.jdbc.dialect.spi,org.hiber
 nate.engine.jdbc.spi,org.hibernate.engine.spi,org.hibernate.event.int
 ernal,org.hibernate.event.service.spi,org.hibernate.event.spi,org.hib
 ernate.exception,org.hibernate.id,org.hibernate.integrator.spi,org.hi
 bernate.internal,org.hibernate.internal.util,org.hibernate.jdbc,org.h
 ibernate.mapping,org.hibernate.metamodel.spi,org.hibernate.persister.
 entity,org.hibernate.property.access.internal,org.hibernate.property.
 access.spi,org.hibernate.query,org.hibernate.resource.jdbc.spi,org.hi
 bernate.service,org.hibernate.service.spi,org.hibernate.stat,org.hibe
 rnate.stat.spi,org.hibernate.type,org.hibernate.type.spi,org.hibernat
 e.usertype,org.jabsorb,org.jabsorb.serializer,org.jaxen,org.jaxen.fun
 ction,org.json,org.osgi.framework,org.osgi.framework.launch,org.osgi.
 framework.wiring,org.osgi.util.tracker,org.postgresql,org.postgresql.
 largeobject,org.springframework.aop,org.springframework.aop.framework
 ,org.springframework.aop.support,org.springframework.beans,org.spring
 framework.beans.factory,org.springframework.beans.factory.config,org.
 springframework.beans.factory.support,org.springframework.beans.facto
 ry.xml,org.springframework.context,org.springframework.context.suppor
 t,org.springframework.core,org.springframework.core.io,org.springfram
 ework.core.io.support,org.springframework.jdbc.datasource,org.springf
 ramework.orm.hibernate5,org.springframework.transaction,org.springfra
 mework.transaction.interceptor,org.springframework.transaction.suppor
 t,org.springframework.util,org.springframework.web.context,org.spring
 framework.web.context.support,org.w3c.dom,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Jul 01 00:00:00 PDT 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Wed Apr 3 03:59:09 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Fixed-Issues: LPE-17589,LPE-17704,LPE-17721,LPE-17747,L
 PE-17836,LPS-152776,LPS-157425,LPS-157457,LPS-157851,LPS-158221,LPS-1
 58299,LPS-162701,LPS-166761,LPS-167469,LPS-170141,LPS-172881,LPS-1735
 91,LPS-173644,LPS-174821,LPS-176215,LPS-177176,LPS-178757,LPS-180052,
 LPS-185988,LPS-190808,LPS-192862,LPS-193233,LPS-193338,LPS-193795,LPS
 -194264,LPS-194271,LPS-195094
Liferay-Portal-Installed-Patches: hotfix-5225-7413
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 31 (Cavanaugh / Build 7413 / July 1, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 31
Liferay-Service: true
Private-Package: com.liferay.portal.events.dependencies,com.liferay.po
 rtal.deploy.dependencies,com.liferay.portal.tools.dependencies,com.li
 feray.portlet.blogs.dependencies,com.liferay.portlet.admin.dependenci
 es,com.liferay.portal.tools.sql.dependencies,com.liferay.portlet.port
 letdisplaytemplate.dependencies,com.liferay.portlet.announcements.dep
 endencies,com.liferay.portal.tools.propertiesdoc.dependencies,com.lif
 eray.portlet.messageboards.dependencies,com.liferay.portlet.documentl
 ibrary.dependencies,com.liferay.portal.servlet.filters.dynamiccss.dep
 endencies,com.liferay.portlet.sites.dependencies,com.liferay.portal.w
 ebserver.dependencies,com.liferay.portal.dependencies,com.liferay.cou
 nter.model,com.liferay.counter.model.impl,com.liferay.counter,com.lif
 eray.counter.service.base,com.liferay.counter.service.impl,com.lifera
 y.counter.service.persistence,com.liferay.counter.service.persistence
 .impl,com.liferay.mail.dependencies.fedora.ksh,com.liferay.mail.depen
 dencies.fedora.sendmail,com.liferay.mail.messaging,com.liferay.mail,c
 om.liferay.mail.service.impl,com.liferay.mail.util,com.liferay.portal
 .action,com.liferay.portal.cache.key,com.liferay.portal.cache.thread.
 local,com.liferay.portal.ccpp,com.liferay.portal.change.tracking.regi
 stry,com.liferay.portal.change.tracking.sql,com.liferay.portal.change
 .tracking.store,com.liferay.portal.configuration,com.liferay.portal.c
 onvert,com.liferay.portal.convert.documentlibrary,com.liferay.portal.
 convert.messaging,com.liferay.portal.dao.db,com.liferay.portal.dao.in
 it,com.liferay.portal.dao.jdbc,com.liferay.portal.dao.jdbc.aop,com.li
 feray.portal.dao.jdbc.pool.metrics,com.liferay.portal.dao.jdbc.postgr
 esql,com.liferay.portal.dao.jdbc.spring,com.liferay.portal.dao.jdbc.u
 til,com.liferay.portal.dao.orm.common,com.liferay.portal.dao.orm.hibe
 rnate.event,com.liferay.portal.dao.orm.hibernate.jmx,com.liferay.port
 al.dao.sql.transformer,com.liferay.portal.db.partition,com.liferay.po
 rtal.definitions,com.liferay.portal.deploy,com.liferay.portal.deploy.
 auto,com.liferay.portal.deploy.dependencies.images.liferay-ui,com.lif
 eray.portal.deploy.hot.messaging,com.liferay.portal.editor.configurat
 ion,com.liferay.portal.ee.license,com.liferay.portal.ee.license.a,com
 .liferay.portal.facebook,com.liferay.portal.format,com.liferay.portal
 .image,com.liferay.portal.increment,com.liferay.portal.internal.chang
 e.tracking.hibernate,com.liferay.portal.internal.cluster,com.liferay.
 portal.internal.dao.sql.transformer,com.liferay.portal.internal.error
 s,com.liferay.portal.internal.increment,com.liferay.portal.internal.m
 essaging.async,com.liferay.portal.internal.minifier,com.liferay.porta
 l.internal.security.permission.contributor,com.liferay.portal.interna
 l.service.util,com.liferay.portal.internal.servlet,com.liferay.portal
 .json,com.liferay.portal.json.data,com.liferay.portal.json.jabsorb.se
 rializer,com.liferay.portal.json.transformer,com.liferay.portal.jsonw
 ebservice,com.liferay.portal.language,com.liferay.portal.layoutconfig
 uration.util,com.liferay.portal.layoutconfiguration.util.velocity,com
 .liferay.portal.layoutconfiguration.util.xml,com.liferay.portal.licen
 se,com.liferay.portal.license.a,com.liferay.portal.license.classloade
 r,com.liferay.portal.license.util,com.liferay.portal.linkback,com.lif
 eray.portal.liveusers,com.liferay.portal.liveusers.messaging,com.life
 ray.portal.log,com.liferay.portal.messaging.proxy,com.liferay.portal.
 model,com.liferay.portal.model.adapter.builder,com.liferay.portal.mod
 el.adapter.impl,com.liferay.portal.model.impl,com.liferay.portal.modu
 le.framework,com.liferay.portal.module.util,com.liferay.portal.notifi
 cations,com.liferay.portal.patcher,com.liferay.portal.poller,com.life
 ray.portal.poller.comet,com.liferay.portal.poller.messaging,com.lifer
 ay.portal.repository,com.liferay.portal.repository.capabilities,com.l
 iferay.portal.repository.capabilities.util,com.liferay.portal.reposit
 ory.external,com.liferay.portal.repository.liferayrepository,com.life
 ray.portal.repository.liferayrepository.model,com.liferay.portal.repo
 sitory.liferayrepository.social,com.liferay.portal.repository.portlet
 repository,com.liferay.portal.repository.registry,com.liferay.portal.
 repository.temporaryrepository,com.liferay.portal.repository.util,com
 .liferay.portal.search,com.liferay.portal.search.dependencies.spellch
 ecker,com.liferay.portal.security.access.control,com.liferay.portal.s
 ecurity.auth.http,com.liferay.portal.security.auth.registry,com.lifer
 ay.portal.security.auth.session,com.liferay.portal.security.auth.tunn
 el,com.liferay.portal.security.jaas,com.liferay.portal.security.membe
 rshippolicy,com.liferay.portal.security.permission,com.liferay.portal
 .security.pwd,com.liferay.portal.security.sso,com.liferay.portal.secu
 rity.xml,com.liferay.portal,com.liferay.portal.service,com.liferay.po
 rtal.service.base,com.liferay.portal.service.impl,com.liferay.portal.
 service.persistence.impl,com.liferay.portal.servlet.delegate,com.life
 ray.portal.servlet.filters.absoluteredirects,com.liferay.portal.servl
 et.filters.aggregate,com.liferay.portal.servlet.filters.autologin,com
 .liferay.portal.servlet.filters.cache,com.liferay.portal.servlet.filt
 ers.dynamiccss,com.liferay.portal.servlet.filters.etag,com.liferay.po
 rtal.servlet.filters.fragment,com.liferay.portal.servlet.filters.gzip
 ,com.liferay.portal.servlet.filters.header,com.liferay.portal.servlet
 .filters.i18n,com.liferay.portal.servlet.filters.ignore,com.liferay.p
 ortal.servlet.filters.language,com.liferay.portal.servlet.filters.loc
 kout,com.liferay.portal.servlet.filters.password.modified,com.liferay
 .portal.servlet.filters.secure,com.liferay.portal.servlet.filters.ser
 vletauthorizing,com.liferay.portal.servlet.filters.servletcontextincl
 ude,com.liferay.portal.servlet.filters.sessionid,com.liferay.portal.s
 ervlet.filters.sessionmaxallowed,com.liferay.portal.servlet.filters.s
 trip,com.liferay.portal.servlet.filters.themepreview,com.liferay.port
 al.servlet.filters.threaddump,com.liferay.portal.servlet.filters.thre
 adlocal,com.liferay.portal.servlet.filters.unsyncprintwriterpool,com.
 liferay.portal.servlet.filters.util,com.liferay.portal.servlet.filter
 s.validhostname,com.liferay.portal.servlet.filters.virtualhost,com.li
 feray.portal.servlet.filters.weblogic,com.liferay.portal.servlet.filt
 ers.websphere,com.liferay.portal.servlet.taglib.ui,com.liferay.portal
 .setup,com.liferay.portal.sharepoint,com.liferay.portal.sharepoint.dw
 s,com.liferay.portal.sharepoint.methods,com.liferay.portal.spring.aop
 ,com.liferay.portal.spring.bean,com.liferay.portal.spring.compat,com.
 liferay.portal.spring.context,com.liferay.portal.spring.hibernate,com
 .liferay.portal.spring.transaction,com.liferay.portal.spring.util,com
 .liferay.portal.struts,com.liferay.portal.struts.constants,com.lifera
 y.portal.struts.model,com.liferay.portal.subscription.social,com.life
 ray.portal.systemevent,com.liferay.portal.templateparser,com.liferay.
 portal.theme,com.liferay.portal.tools.comparator,com.liferay.portal.t
 ools.deploy,com.liferay.portal.tools.jspc.common,com.liferay.portal.t
 ools.propertiesdoc,com.liferay.portal.tools.sql,com.liferay.portal.tr
 ansaction,com.liferay.portal.typeconverter,com.liferay.portal.upgrade
 ,com.liferay.portal.upgrade.v7_0_0.util,com.liferay.portal.upgrade.v7
 _0_1,com.liferay.portal.upgrade.v7_0_3,com.liferay.portal.upgrade.v7_
 0_6,com.liferay.portal.upgrade.v7_2_x,com.liferay.portal.upgrade.v7_2
 _x.util,com.liferay.portal.upgrade.v7_3_x,com.liferay.portal.upgrade.
 v7_4_x,com.liferay.portal.uuid,com.liferay.portal.verify,com.liferay.
 portal.verify.model,com.liferay.portal.webcache,com.liferay.portal.we
 bdav,com.liferay.portal.webdav.methods,com.liferay.portal.webserver,c
 om.liferay.portal.workflow,com.liferay.portal.workflow.comparator,com
 .liferay.portal.workflow.permission,com.liferay.portal.xml.xpath,com.
 liferay.portal.xmlrpc,com.liferay.portal.zip,com.liferay.portlet.admi
 n.util,com.liferay.portlet.announcements.model,com.liferay.portlet.an
 nouncements.model.impl,com.liferay.portlet.announcements,com.liferay.
 portlet.announcements.service.base,com.liferay.portlet.announcements.
 service.http,com.liferay.portlet.announcements.service.impl,com.lifer
 ay.portlet.announcements.service.permission,com.liferay.portlet.annou
 ncements.service.persistence.impl,com.liferay.portlet.asset.action,co
 m.liferay.portlet.asset.model.adapter.builder,com.liferay.portlet.ass
 et.model.adapter.impl,com.liferay.portlet.asset.service.base,com.life
 ray.portlet.asset.service.http,com.liferay.portlet.asset.service.impl
 ,com.liferay.portlet.asset.service.persistence.impl,com.liferay.portl
 et.asset.util.comparator,com.liferay.portlet.documentlibrary.asset.mo
 del,com.liferay.portlet.documentlibrary.constants,com.liferay.portlet
 .documentlibrary.messaging,com.liferay.portlet.documentlibrary.model.
 impl,com.liferay.portlet.documentlibrary.service.base,com.liferay.por
 tlet.documentlibrary.service.http,com.liferay.portlet.documentlibrary
 .service.impl,com.liferay.portlet.documentlibrary.service.persistence
 .impl,com.liferay.portlet.documentlibrary.sharepoint,com.liferay.port
 let.documentlibrary.social,com.liferay.portlet.documentlibrary.util.c
 omparator,com.liferay.portlet.documentlibrary.webdav,com.liferay.port
 let.expando,com.liferay.portlet.expando.service.base,com.liferay.port
 let.expando.service.http,com.liferay.portlet.expando.service.impl,com
 .liferay.portlet.expando.service.permission,com.liferay.portlet.expan
 do.service.persistence.impl,com.liferay.portlet.expando.util.comparat
 or,com.liferay.portlet.exportimport.model.impl,com.liferay.portlet.ex
 portimport,com.liferay.portlet.exportimport.service.base,com.liferay.
 portlet.exportimport.service.http,com.liferay.portlet.exportimport.se
 rvice.impl,com.liferay.portlet.exportimport.service.persistence.impl,
 com.liferay.portlet.exportimport.staging,com.liferay.portlet.extra.co
 nfig,com.liferay.portlet.internal,com.liferay.portlet.layoutsadmin.ut
 il,com.liferay.portlet.portletconfiguration.action,com.liferay.portle
 t.portletconfiguration,com.liferay.portlet.portletconfiguration.util,
 com.liferay.portlet.ratings.model.impl,com.liferay.portlet.ratings,co
 m.liferay.portlet.ratings.service.base,com.liferay.portlet.ratings.se
 rvice.http,com.liferay.portlet.ratings.service.impl,com.liferay.portl
 et.ratings.service.persistence.impl,com.liferay.portlet.rolesadmin.se
 arch,com.liferay.portlet.rolesadmin.util,com.liferay.portlet.sites.ac
 tion,com.liferay.portlet.sites.search,com.liferay.portlet.sites.util,
 com.liferay.portlet.sitesadmin.search,com.liferay.portlet.social.mode
 l.impl,com.liferay.portlet.social,com.liferay.portlet.social.service.
 base,com.liferay.portlet.social.service.http,com.liferay.portlet.soci
 al.service.impl,com.liferay.portlet.social.service.permission,com.lif
 eray.portlet.social.service.persistence.impl,com.liferay.portlet.soci
 al.util,com.liferay.portlet.trash,com.liferay.portlet.trash.service.h
 ttp,com.liferay.portlet.usergroupsadmin.search,com.liferay.portlet.us
 ersadmin.util,custom-sql,resource-actions
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: April 3 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 0359
